<?
if(isset($_GET['mywork']) && isset($_GET['harvest']) && intval($_GET['harvest'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mest` WHERE `id` = '".intval($_GET['harvest'])."' AND `id_user` = '$ku[id]' AND `id_plant` != '0'"),0)!=0)
{
$ground=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_mest` WHERE `id` = '".intval($_GET['harvest'])."' AND `id_user` = '$ku[id]' AND `id_plant` != '0'"));
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_works` WHERE `id` = '$ground[id_plant]'"));
if($ground['time']<=$time)
{
$money=$ku['money']+$plant['money'];
$money=floor($money);

$zkl=$ku['zkl']+$plant['zkl'];
$zkl=floor($zkl);

mysql_querll("UPDATE `kolhoz_user` SET `money` = '$money',`umoney`='$plant[money]' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `zkl` = '$zkl',`umoney`='$plant[zkl]' WHERE `id` = '$ku[id]'");

//$_SESSION['harvest']=$count;*/
mysql_querll("UPDATE `kolhoz_user` SET `master` = '".($ku['master']+1)."' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_mest` SET `id_plant` = '0', `soil` = '0', `cultivator` = '0' WHERE `id` = '".intval($_GET['harvest'])."' LIMIT 1");
header("Location:?mywork&".passgen());
}
else header("Location:?mywork&".passgen());
exit;
}
if(isset($_GET['new_work']) && isset($_GET['ok']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mest` WHERE `id_user` = '$ku[id]'"),0)<6)
{
$cena=cpw(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mest` WHERE `id_user` = '$ku[id]'"),0));
if($ku['rubies']>=$cena)
{
mysql_querll("INSERT INTO `kolhoz_mest` SET `id_user` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
}
else
{
$rm=$cena-$ku['rubies'];
$_SESSION['no_rubies']=$rm;
}
header("Location:?mywork");
}
elseif(isset($_GET['new_work']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mest` WHERE `id_user` = '$ku[id]'"),0)<6)
{
echo '<div class="event"><h1>Подтверждение</h1></div><div class="content"><div class="block"><ul class="block"><li><span class="title">Вы уверены?</span></li><li class="pt"><img alt="" width="16" height="16" src="img/icons/tick.png"> <a href="?mywork&new_work&ok"><span>
Да, подтверждаю</span></a></li><li><img alt="" width="16" height="16" src="img/icons/cross.png"> <a href="?mywork"><span>
Нет, отказываюсь</span></a></li></ul></div>';
include_once 'inc/foot.php';
}
?>